using Hncore.Infrastructure.Extension;
using Hncore.Pass.PaymentCenter.Domain;
using Hncore.Pass.PaymentCenter.Request.WechatJsPay;
using Hncore.Pass.PaymentCenter.Response.PaymentRecord;
using Hncore.Pass.PaymentCenter.WxPay.WechatJsPay;
using Hncore.Payment.Request;

namespace Hncore.Pass.PaymentCenter.Map
{
    public class MapConfig
    {
        public static void Config()
        {
            TinyMapperExtension.Binds<PaymentRecord, QueryPaymentRecordByOrderIdResponse>();
            TinyMapperExtension.Binds<PaymentRecord, CreateOrderRequest>();
            TinyMapperExtension.Binds<PaymentRecord, WxJsPayCreateOrderRequest>(); 
        }
    }
}
